Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Portage]Mise à Jour (résolu)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
ShreCkito
n00b
n00b


Joined: 25 Dec 2007
Posts: 24

PostPosted: Sun Mar 21, 2010 4:18 pm    Post subject: [Portage]Mise à Jour (résolu) Reply with quote

Bonjour.

Comme régulièrement, je lance un petit
Code:
eix-sync && emerge -uDNvp world
histoire de mettre à jour ma Gentoo.
Et là, comme régulièrement aussi finalement, un probleme de "Multiples package". Jusque là, en bidouillant, en tentant de masquer/démasquer/keyworder les pacquets nommés je m'en sortais toujours. Cette fois, j'ai un peu tout tenté et rien n'y fait.

Voilà le soucis actuel :

Quote:

tux shreck # emerge -uDNvp world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild U ] media-libs/jpeg-8a [8] 940 kB
[ebuild U ] dev-libs/expat-2.0.1-r3 [2.0.1-r2] 0 kB
[ebuild U ] sys-libs/timezone-data-2010b [2009u] USE="nls" 183 kB
[ebuild U ] dev-libs/nspr-4.8.4 [4.8.3-r3] USE="-debug (-ipv6%*)" 1,169 kB
[ebuild U ] media-libs/libv4l-0.6.1 [0.5.3] 126 kB
[ebuild U ] media-libs/tiff-3.9.2-r1 [3.9.2] USE="cxx jpeg zlib -jbig" 0 kB
[ebuild U ] dev-libs/libgcrypt-1.4.5 [1.4.4] 1,122 kB
[ebuild N ] app-emulation/emul-linux-x86-baselibs-20100220 27,352 kB
[ebuild N ] app-emulation/emul-linux-x86-baselibs-20091231 0 kB
[ebuild U ] dev-python/sip-4.10.1 [4.10] USE="-debug -doc" 632 kB
[ebuild U ] media-libs/fontconfig-2.8.0 [2.6.0-r2] USE="-doc" 1,513 kB
[ebuild U ] sys-apps/busybox-1.15.3 [1.14.2] USE="pam -debug -make-symlinks -savedconfig (-selinux) -static" 1,942 kB
[ebuild N ] app-emulation/emul-linux-x86-xlibs-20100220 USE="opengl" 21,651 kB
[ebuild N ] app-emulation/emul-linux-x86-xlibs-20091231 USE="opengl" 0 kB
[ebuild N ] app-emulation/emul-linux-x86-gtklibs-20100220-r2 5,724 kB
[ebuild UD] sci-geosciences/googleearth-4.2.205.5730 [5.0.11733.9347] 0 kB
[ebuild N ] app-emulation/emul-linux-x86-soundlibs-20091231-r1 USE="alsa -pulseaudio" 0 kB
[ebuild N ] app-emulation/emul-linux-x86-sdl-20091231 0 kB
[ebuild N ] app-emulation/emul-linux-x86-medialibs-20091231 0 kB
[ebuild N ] x11-libs/qt-3.3.8b-r2 USE="cups ipv6 mysql opengl -debug -doc -examples (-firebird) -immqt -immqt-bc -nas -nis -odbc -postgres -sqlite -xinerama" 0 kB
[ebuild U ] sys-fs/udev-149 [146-r1] USE="devfs-compat -extras (-selinux) -test%" 535 kB
[ebuild U ] sys-fs/ntfs3g-2010.1.16 [2009.11.14] USE="acl external-fuse hal suid -debug" 805 kB
[ebuild U ] media-sound/musepack-tools-444-r1 [444] 0 kB
[uninstall ] media-libs/libmpcdecsv7-1.2.6
[blocks b ] media-libs/libmpcdecsv7 ("media-libs/libmpcdecsv7" is blocking media-sound/musepack-tools-444-r1)
[ebuild U ] app-vim/gentoo-syntax-20090720 [20090220] USE="-ignore-glep31" 18 kB
[ebuild U ] net-im/amsn-0.98.3 [0.98.1-r1] USE="-debug" 12,965 kB
[ebuild U ] dev-libs/glib-2.22.4 [2.20.5-r1] USE="fam -debug -doc -hardened (-selinux) -xattr" 4,895 kB
[ebuild U ] x11-libs/qt-core-4.6.2-r1 [4.5.3-r2] USE="exceptions%* glib iconv qt3support ssl (-aqua) -debug -doc -optimized-qmake% -pch" 156,838 kB
[ebuild U ] x11-libs/qt-script-4.6.2 [4.5.3-r1] USE="exceptions%* iconv (-aqua) -debug -pch" 0 kB
[blocks b ] <x11-libs/qt-script-4.6.2 ("<x11-libs/qt-script-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-dbus-4.6.2)
[ebuild U ] x11-libs/qt-dbus-4.6.2 [4.5.3-r1] USE="exceptions%* (-aqua) -debug -pch" 0 kB
[blocks b ] <x11-libs/qt-dbus-4.6.2 ("<x11-libs/qt-dbus-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-script-4.6.2)
[blocks b ] >x11-libs/qt-xmlpatterns-4.5.3-r9999 (">x11-libs/qt-xmlpatterns-4.5.3-r9999" is blocking x11-libs/qt-dbus-4.5.3-r1)
[ebuild U ] x11-libs/qt-test-4.6.2 [4.5.3-r1] USE="exceptions%* iconv (-aqua) -debug -pch" 0 kB
[blocks b ] <x11-libs/qt-test-4.6.2 ("<x11-libs/qt-test-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2)
[ebuild U ] x11-libs/qt-xmlpatterns-4.6.2 [4.5.3-r1] USE="(-aqua) -debug -pch" 0 kB
[blocks b ] >x11-libs/qt-webkit-4.5.3-r9999 (">x11-libs/qt-webkit-4.5.3-r9999" is blocking x11-libs/qt-dbus-4.5.3-r1, x11-libs/qt-xmlpatterns-4.5.3-r1)
[blocks b ] >x11-libs/qt-sql-4.5.3-r9999 (">x11-libs/qt-sql-4.5.3-r9999" is blocking x11-libs/qt-dbus-4.5.3-r1, x11-libs/qt-xmlpatterns-4.5.3-r1)
[blocks b ] >x11-libs/qt-qt3support-4.5.3-r9999 (">x11-libs/qt-qt3support-4.5.3-r9999" is blocking x11-libs/qt-dbus-4.5.3-r1, x11-libs/qt-xmlpatterns-4.5.3-r1)
[blocks b ] >x11-libs/qt-test-4.5.3-r9999 (">x11-libs/qt-test-4.5.3-r9999" is blocking x11-libs/qt-dbus-4.5.3-r1, x11-libs/qt-xmlpatterns-4.5.3-r1)
[blocks b ] <x11-libs/qt-xmlpatterns-4.6.2 ("<x11-libs/qt-xmlpatterns-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2)
[blocks b ] >x11-libs/qt-opengl-4.5.3-r9999 (">x11-libs/qt-opengl-4.5.3-r9999" is blocking x11-libs/qt-dbus-4.5.3-r1, x11-libs/qt-xmlpatterns-4.5.3-r1)
[blocks b ] >x11-libs/qt-svg-4.5.3-r9999 (">x11-libs/qt-svg-4.5.3-r9999" is blocking x11-libs/qt-dbus-4.5.3-r1, x11-libs/qt-xmlpatterns-4.5.3-r1)
[blocks b ] >x11-libs/qt-core-4.5.3-r9999 (">x11-libs/qt-core-4.5.3-r9999" is blocking x11-libs/qt-dbus-4.5.3-r1, x11-libs/qt-xmlpatterns-4.5.3-r1)
[blocks b ] >x11-libs/qt-dbus-4.5.3-r9999 (">x11-libs/qt-dbus-4.5.3-r9999" is blocking x11-libs/qt-xmlpatterns-4.5.3-r1)
[blocks b ] >x11-libs/qt-script-4.5.3-r9999 (">x11-libs/qt-script-4.5.3-r9999" is blocking x11-libs/qt-dbus-4.5.3-r1, x11-libs/qt-xmlpatterns-4.5.3-r1)
[blocks b ] >x11-libs/qt-gui-4.5.3-r9999 (">x11-libs/qt-gui-4.5.3-r9999" is blocking x11-libs/qt-dbus-4.5.3-r1, x11-libs/qt-xmlpatterns-4.5.3-r1)
[ebuild U ] x11-libs/qt-gui-4.6.2 [4.5.3-r2] USE="accessibility cups dbus exceptions%* glib gtk mng qt3support tiff (-aqua) -debug -nas -nis -pch -raster -xinerama" 0 kB
[blocks b ] <x11-libs/qt-gui-4.6.2 ("<x11-libs/qt-gui-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2)
[ebuild U ] x11-libs/qt-svg-4.6.2 [4.5.3-r1] USE="exceptions%* iconv (-aqua) -debug -pch" 0 kB
[blocks b ] <x11-libs/qt-svg-4.6.2 ("<x11-libs/qt-svg-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2)
[ebuild U ] x11-libs/qt-webkit-4.6.2 [4.5.3] USE="exceptions%* kde (-aqua) -debug -pch" 0 kB
[blocks b ] <x11-libs/qt-webkit-4.6.2 ("<x11-libs/qt-webkit-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2)
[ebuild U ] x11-libs/qt-opengl-4.6.2 [4.5.3-r1] USE="exceptions%* qt3support (-aqua) -debug -pch" 0 kB
[blocks b ] <x11-libs/qt-opengl-4.6.2 ("<x11-libs/qt-opengl-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2)
[ebuild U ] dev-libs/libxml2-2.7.7 [2.7.6] USE="ipv6 python readline -debug -doc -examples -test" 4,755 kB
[ebuild U ] sys-devel/gettext-0.17-r1 [0.17] USE="acl nls openmp -doc -emacs -nocxx" 0 kB
[ebuild U ] media-gfx/imagemagick-6.5.8.8 [6.5.7.0] USE="X bzip2 corefonts jpeg jpeg2k openmp perl png svg tiff truetype wmf xml zlib -autotrace -djvu -doc -fftw -fontconfig -fpx -graphviz -gs -hdri -jbig -lcms -lqr -nocxx -openexr -q32 -q8 -raw" 8,508 kB
[ebuild U ] x11-misc/shared-mime-info-0.70 [0.60] 486 kB
[ebuild U ] dev-libs/atk-1.28.0 [1.26.0] USE="-debug -doc" 699 kB
[ebuild U ] media-libs/gstreamer-0.10.28 [0.10.25] USE="nls -test" 3,092 kB
[ebuild U ] sys-apps/help2man-1.36.4-r1 [1.36.4] USE="nls" 0 kB
[ebuild U ] app-portage/eix-0.19.2 [0.17.0] USE="bzip2%* nls -debug% -doc -hardened% -optimization% -sqlite -strong-optimization% -tools (-deprecated%*)" 397 kB
[ebuild U ] x11-libs/gtk+-2.18.7 [2.16.6] USE="cups jpeg jpeg2k tiff (-aqua) -debug -doc -test -vim-syntax -xinerama" 17,876 kB
[ebuild U ] sys-devel/automake-1.10.3 [1.10.2] 936 kB
[ebuild N ] media-libs/gst-plugins-base-0.10.28 USE="nls -debug" 2,289 kB
[ebuild N ] media-libs/gst-plugins-base-0.10.25 USE="nls -debug" 0 kB
[ebuild R ] x11-libs/libXau-1.0.5 USE="-static-libs% (-debug%)" 0 kB
[ebuild R ] x11-libs/libXdmcp-1.0.3 USE="-static-libs% (-debug%)" 0 kB
[ebuild U ] dev-db/sqlite-3.6.23 [3.6.22-r2] USE="fts3 readline tcl threadsafe -debug -doc -extensions -icu -secure-delete* -soundex -test" 3,014 kB
[ebuild R ] dev-libs/apr-1.3.9 USE="urandom -doc -older-kernels-compatibility (-debug%)" 0 kB
[ebuild U ] net-misc/openssh-5.3_p1-r1 [5.2_p1-r3] USE="X ldap pam tcpd -X509 -hpn -kerberos -libedit -pkcs11 (-selinux) -skey -smartcard -static" 1,021 kB
[ebuild U ] gnome-base/gnome-vfs-2.24.2 [2.24.1] USE="acl fam hal ipv6 samba ssl -avahi -debug -doc -gnutls -kerberos" 1,816 kB
[ebuild U ] media-plugins/gst-plugins-x-0.10.28 [0.10.25] 0 kB
[ebuild U ] media-plugins/gst-plugins-mad-0.10.13 [0.10.12] 0 kB
[ebuild U ] media-plugins/gst-plugins-oss-0.10.17 [0.10.16] 0 kB
[ebuild U ] media-libs/gst-plugins-ugly-0.10.13 [0.10.12] USE="-debug" 0 kB
[ebuild U ] media-plugins/gst-plugins-xvideo-0.10.25 [0.10.24] 0 kB
[ebuild U ] media-plugins/gst-plugins-theora-0.10.28 [0.10.25] 0 kB
[ebuild U ] media-plugins/gst-plugins-ogg-0.10.28 [0.10.25] 0 kB
[ebuild U ] media-plugins/gst-plugins-alsa-0.10.28 [0.10.25] 0 kB
[ebuild U ] media-plugins/gst-plugins-vorbis-0.10.28 [0.10.25] 0 kB
[ebuild U ] media-plugins/gst-plugins-ffmpeg-0.10.9 [0.10.7] 3,233 kB
[ebuild U ] media-plugins/gst-plugins-flac-0.10.17 [0.10.16] 0 kB
[ebuild U ] gnome-base/libbonoboui-2.24.2 [2.24.1] USE="-doc -test" 939 kB
[ebuild U ] x11-proto/glproto-1.4.11 [1.4.10] 106 kB
[ebuild U ] media-tv/xawtv-3.95-r2 [3.95-r1] USE="X aalib alsa nls opengl quicktime xv -dv -lirc (-mmx) -motif -xext -zvbi" 0 kB
[ebuild U ] www-plugins/adobe-flash-10.0.45.2 [10.0.42.34] USE="32bit 64bit (multilib)" 7,670 kB
[ebuild U ] media-gfx/splashutils-1.5.4.3-r2 [1.5.4.3] USE="gpm mng png truetype -fbcondecor -hardened" 2,082 kB
[ebuild U ] dev-lang/python-2.6.4-r1 [2.6.4] USE="berkdb gdbm ipv6 ncurses readline sqlite ssl threads (wide-unicode) xml -build -doc -examples -tk -wininst" 13 kB
[ebuild U ] x11-libs/qt-sql-4.6.2 [4.5.3] USE="exceptions%* iconv mysql qt3support sqlite (-aqua) -debug (-firebird) -odbc -pch -postgres" 0 kB
[blocks b ] <x11-libs/qt-sql-4.6.2 ("<x11-libs/qt-sql-4.6.2" is blocking x11-libs/qt-gui-4.6.2, x11-libs/qt-qt3support-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2)
[ebuild U ] gnome-base/libgnomeui-2.24.2 [2.24.1] USE="-doc" 1,492 kB
[ebuild R ] x11-apps/xdriinfo-1.0.3 USE="(-debug%)" 0 kB
[ebuild U ] x11-libs/qt-qt3support-4.6.2 [4.5.3] USE="accessibility exceptions%* kde (-aqua) -debug -pch -phonon" 0 kB
[blocks b ] <x11-libs/qt-qt3support-4.6.2 ("<x11-libs/qt-qt3support-4.6.2" is blocking x11-libs/qt-sql-4.6.2, x11-libs/qt-gui-4.6.2, x11-libs/qt-xmlpatterns-4.6.2, x11-libs/qt-core-4.6.2-r1, x11-libs/qt-svg-4.6.2, x11-libs/qt-test-4.6.2, x11-libs/qt-opengl-4.6.2, x11-libs/qt-webkit-4.6.2, x11-libs/qt-script-4.6.2, x11-libs/qt-dbus-4.6.2)
[ebuild U ] sys-libs/cracklib-2.8.15 [2.8.13-r1] USE="nls python" 602 kB
[ebuild U ] net-libs/xulrunner-1.9.2-r4 [1.9.2-r2] USE="alsa dbus java libnotify startup-notification wifi -custom-optimization -debug -gnome -system-sqlite%" 0 kB
[ebuild U ] app-portage/elogv-0.7.4-r1 [0.7.4] 0 kB
[ebuild U ] dev-python/PyQt4-4.7 [4.6.2] USE="X dbus kde opengl sql svg webkit -assistant -debug -doc -examples -multimedia% -phonon -xmlpatterns" 7,704 kB
[ebuild U ] www-client/mozilla-firefox-3.6-r4 [3.6-r2] USE="alsa dbus java libnotify startup-notification wifi -bindist -custom-optimization -gnome -system-sqlite%" LINGUAS="fr -af -ar -as -be -bg -bn -bn_BD -bn_IN -ca -cs -cy -da -de -el -en -en_GB -en_US -eo -es -es_AR -es_CL -es_ES -es_MX -et -eu -fa -fi -fy -fy_NL -ga -ga_IE -gl -gu -gu_IN -he -hi -hi_IN -hr -hu -id -is -it -ja -ka -kk -kn -ko -ku -lt -lv -mk -ml -mr -nb -nb_NO -nl -nn -nn_NO -oc -or -pa -pa_IN -pl -pt -pt_BR -pt_PT -rm -ro -ru -si -sk -sl -sq -sr -sv -sv_SE -ta -ta_LK -te -th -tr -uk -vi -zh_CN -zh_TW" 0 kB
[ebuild U ] net-libs/libsoup-2.28.2 [2.26.3-r3] USE="gnome ssl -debug -doc" 705 kB
[ebuild U ] net-libs/libsoup-gnome-2.28.2 [2.26.3-r1] USE="-debug -doc" 0 kB
[ebuild U ] media-libs/libdvdread-4.1.3_p1168 [0.9.7] USE="css*" 94 kB
[ebuild U ] media-plugins/gst-plugins-dvdread-0.10.13 [0.10.12] 0 kB
[ebuild U ] app-cdr/k3b-1.70.0_beta1 [1.69.0_alpha4] USE="dvd encode ffmpeg flac mad sndfile vcd vorbis wav (-aqua) -debug -emovix (-kdeenablefinal) -lame -musepack% -musicbrainz -sox -taglib" 8,412 kB
[ebuild U ] media-libs/libdvdnav-4.1.3_p1168 [0.1.10] 109 kB
[blocks b ] <=media-libs/libdvdnav-4.1.2 ("<=media-libs/libdvdnav-4.1.2" is blocking media-libs/libdvdread-4.1.3_p1168)
[ebuild U ] mail-client/mozilla-thunderbird-3.0.3 [2.0.0.23] USE="crypt dbus%* ldap startup-notification%* -bindist -custom-optimization% -gnome -lightning% -mozdom -system-sqlite% (-debug%) (-ipv6%*) (-moznopango%) (-replytolist%) (-xinerama%)" LINGUAS="fr -af -ar% -be -ca -cs -de -el -en -en_GB -en_US -es -es_AR -es_ES -et% -eu -fi -fy% -fy_NL% -ga -ga_IE -hu -id% -is% -it -ja -ko -lt -nb -nb_NO -nl -nn -nn_NO -pa -pa_IN -pl -pt_BR -ro% -ru -si% -sk -sv -sv_SE -ta% -ta_LK% -tr -uk (-bg%) (-da%) (-he%) (-mk%) (-pt%) (-pt_PT%) (-sl%) (-zh%) (-zh_CN%) (-zh_TW%)" 58,743 kB
[ebuild U ] x11-plugins/enigmail-1.0.1-r1 [0.95.7-r5] USE="dbus%* startup-notification%* -custom-optimization% -gnome% -system-sqlite%" LINGUAS="(-ar%) (-ca%) (-cs%) (-de%) (-el%) (-es%) (-es_ES%) (-fi%) (-fr%*) (-hu%) (-it%) (-ja%) (-ko%) (-nb%) (-nb_NO%) (-pl%) (-pt%) (-pt_BR%) (-ro%) (-ru%) (-sk%) (-sl%) (-sv%) (-tr%) (-zh%) (-zh_CN%)" 59,702 kB
[blocks b ] >=mail-client/mozilla-thunderbird-3 (">=mail-client/mozilla-thunderbird-3" is blocking x11-plugins/enigmail-0.95.7-r5)

Total: 87 packages (71 upgrades, 1 downgrade, 11 new, 4 reinstalls, 1 uninstall), Size of downloads: 434,883 kB
Conflict: 24 blocks

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

app-emulation/emul-linux-x86-xlibs:0

('ebuild', '/', 'app-emulation/emul-linux-x86-xlibs-20100220', 'merge') pulled in by
~app-emulation/emul-linux-x86-xlibs-20100220 required by ('ebuild', '/', 'app-emulation/emul-linux-x86-gtklibs-20100220-r2', 'merge')
(and 6 more)

('ebuild', '/', 'app-emulation/emul-linux-x86-xlibs-20091231', 'merge') pulled in by
~app-emulation/emul-linux-x86-xlibs-20091231 required by ('ebuild', '/', 'app-emulation/emul-linux-x86-sdl-20091231', 'merge')
~app-emulation/emul-linux-x86-xlibs-20091231 required by ('ebuild', '/', 'app-emulation/emul-linux-x86-medialibs-20091231', 'merge')
(and 6 more)

media-libs/gst-plugins-base:0.10

('ebuild', '/', 'media-libs/gst-plugins-base-0.10.25', 'merge') pulled in by
~media-libs/gst-plugins-base-0.10.25 required by ('ebuild', '/', 'media-plugins/gst-plugins-xvideo-0.10.25', 'merge')
(and 22 more)

('ebuild', '/', 'media-libs/gst-plugins-base-0.10.28', 'merge') pulled in by
>=media-libs/gst-plugins-base-0.10.28 required by ('ebuild', '/', 'media-plugins/gst-plugins-theora-0.10.28', 'merge')
>=media-libs/gst-plugins-base-0.10.28 required by ('ebuild', '/', 'media-plugins/gst-plugins-vorbis-0.10.28', 'merge')
>=media-libs/gst-plugins-base-0.10.28 required by ('ebuild', '/', 'media-plugins/gst-plugins-ogg-0.10.28', 'merge')
(and 29 more)

app-emulation/emul-linux-x86-baselibs:0

('ebuild', '/', 'app-emulation/emul-linux-x86-baselibs-20091231', 'merge') pulled in by
~app-emulation/emul-linux-x86-baselibs-20091231 required by ('ebuild', '/', 'app-emulation/emul-linux-x86-sdl-20091231', 'merge')
~app-emulation/emul-linux-x86-baselibs-20091231 required by ('ebuild', '/', 'app-emulation/emul-linux-x86-soundlibs-20091231-r1', 'merge')
~app-emulation/emul-linux-x86-baselibs-20091231 required by ('ebuild', '/', 'app-emulation/emul-linux-x86-xlibs-20091231', 'merge')
(and 5 more)

('ebuild', '/', 'app-emulation/emul-linux-x86-baselibs-20100220', 'merge') pulled in by
~app-emulation/emul-linux-x86-baselibs-20100220 required by ('ebuild', '/', 'app-emulation/emul-linux-x86-xlibs-20100220', 'merge')
~app-emulation/emul-linux-x86-baselibs-20100220 required by ('ebuild', '/', 'app-emulation/emul-linux-x86-gtklibs-20100220-r2', 'merge')
(and 4 more)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in the
dependencies of two different packages, then those packages can not be
installed simultaneously. You may want to try a larger value of the
--backtrack option, such as --backtrack=30, in order to see if that will
solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man page
or refer to the Gentoo Handbook.


Quelle est la solution à court terme pour arriver à faire cette MàJ ?
Y a-t-il une solution à long terme pour que de tels problèmes n'apparaissent pas à quasiment chaque mise à jour. (Changer l'utilisateur ???! :p), passer en full ~amd64 ? Faire un grand ménage ?? Passer sous Mandriva ???
La faute sûrement à une gestion plutôt hasardeuse de ma Gentoo et le cumul d'erreur de choix ... Je suis donc tout ouïe.


Last edited by ShreCkito on Tue Mar 23, 2010 10:26 pm; edited 1 time in total
Back to top
View user's profile Send private message
netfab
Veteran
Veteran


Joined: 03 Mar 2005
Posts: 1699
Location: 127.0.0.1

PostPosted: Mon Mar 22, 2010 11:43 am    Post subject: Reply with quote

Hello,

Donne ton emerge --info et le contenu de ton package.keywords.
Quote:

Y a-t-il une solution à long terme pour que de tels problèmes n'apparaissent pas à quasiment chaque mise à jour.

Faire des mises à jour plus régulières, au minimum une fois par semaine. Cela evite d'avoir 24 blocages noyés au milieu de 71 upgrades avec 400+ Mo de sources. Ensuite si blocage il doit y avoir, il est beaucoup plus simple de s'en sortir.

Edit : quelques paquets viennent d'être stabilisés, peut être qu'après resynchronisation ces blocages auront disparus.
Back to top
View user's profile Send private message
Ezka
Guru
Guru


Joined: 17 Feb 2005
Posts: 352
Location: par là, mais vraiment ...

PostPosted: Mon Mar 22, 2010 6:36 pm    Post subject: Reply with quote

J'aurai tendance a dire que ce n'est pas bien grave vu que ton problème de conflit se situe sur des paquets 32bits. Dans le pire des cas tu ne casseras que tes applis compilé en 32bits, et si tu n'as pas emergé des *-bin y a peu de chance qu'ils soient majoritaires sur ton système. Hormis le gst-plugin qui bof n'est pas hyper important (quoi le son c'est utile ? =))

A long terme ... il y aura toujours un conflit ou deux quand on fait une maj tout les 36 du mois, mais ce n'est pas bien grave. Il faut adopter un comportement logique, pour les petits paquet dont l'importance est négligeable un unmerge manuel suffit, sinon il faut jouer avec ton fichier /etc/portage/package.mask histoire de pas casser des dépendances du système.
_________________
Ez.
Back to top
View user's profile Send private message
ShreCkito
n00b
n00b


Joined: 25 Dec 2007
Posts: 24

PostPosted: Wed Mar 24, 2010 7:23 pm    Post subject: Reply with quote

La resynchronisation a en effet levé l'un des problèmes, et j'y voyais du coup beaucoup plus clair pour le deuxième soucis, a coup de package.keywords j'ai réglé la question.
La stabilisation des paquets qui posaient problème à mis quelques jours quand même
A court terme le problème est résolu, toutes les mises à jours sont faites.

Par curiosité je laisse quand même mon emerge --info comme demandé plus haut. Si quelqu'un y voit des incohérences, qu'il n'hésite pas à me gifler. Autant cela fait longtemps que je suis sous Gentoo (2004-2005) autant je ne suis que moyennement satisfait de ma gestion de celle-ci concernant la gestion des paquets/branches mais aussi sécurité. Peut-être un manque de compétence et de temps. Le temps ne semble pas améliorer ça.

Dans tous les cas, merci de vos coups de mains.

Quote:

tux shreck # emerge --info
Portage 2.1.7.17 (default/linux/amd64/10.0/desktop, gcc-4.3.4, glibc-2.10.1-r1, 2.6.30-gentoo-r5 x86_64)
=================================================================
System uname: Linux-2.6.30-gentoo-r5-x86_64-AMD_Turion-tm-_64_X2_Mobile_Technology_TL-50-with-gentoo-1.12.13
Timestamp of tree: Wed, 24 Mar 2010 05:45:01 +0000
app-shells/bash: 4.0_p35
dev-java/java-config: 2.1.10
dev-lang/python: 2.6.4-r1
dev-util/cmake: 2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox: 1.6-r2
sys-devel/autoconf: 2.13, 2.63-r1
sys-devel/automake: 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.3
sys-devel/binutils: 2.18-r3
sys-devel/gcc: 4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool: 2.2.6b
virtual/os-headers: 2.6.30-r1
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -msse3 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-march=athlon64 -msse3 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.mirrors.easynews.com/linux/gentoo/ http://mirror.ovh.net/gentoo-distfiles/ ftp://mirror.ovh.net/gentoo-distfiles/ ftp://gentoo.imj.fr/pub/gentoo/ ftp://ftp.free.fr/mirrors/ftp.gentoo.org/ ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/ "
LANG="fr_FR.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="fr fr_FR"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac aalib acl acpi alsa amd64 amd64codecs apache2 arts asf audiofile berkdb bluetooth branding bz2 bzip2 cairo cdda cddb cdio cdr cgi cli consolekit cracklib crypt cups cxx dbus dga divx4linux dri dts dvd dvdr dvdread eds emboss encode esd evo fam ffmpeg firefox flac flash fortran gdbm gif gimp glitz glut gpm gstreamer gtk hal httpd iconv imagemagick ipv6 java javascript jpeg jpeg2k kde ldap libcaca libnotify live logitech-mouse mad matroska mikmod mmx mng modules mp3 mp4 mpeg mudflap multilib mysql ncurses nls nptl nptlonly nvidia ogg opengl openmp oracle oss pam pascal pcre pdf perl php png ppds pppd python qt qt3support qt4 quicktime rar readline reflection ruby samba sdl session sndfile spell spl sql sse sse2 sshd ssl startup-notification stats stream svg sysfs syslog tcl tcpd tga theora thunar tiff truetype unicode unrar usb userlocales vcd vorbis wifi wmf wxwindows x264 xcompsite xine xml xorg xpm xscreensaver xulrunner xv xvid xvmc zeroconf zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="fr fr_FR" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia vesa vga"
Unset: CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum